gnome-online-accounts (3.58.1-1) unstable; urgency=medium

  * New upstream release
  * Update Standards Version to 4.7.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Apr 2026 21:10:44 -0400

gnome-online-accounts (3.58.0-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 24 Mar 2026 22:32:57 +0100

gnome-online-accounts (3.57.1-1) unstable; urgency=high

  * New upstream release
  * debian/gnome-online-accounts.install:
    Install additional .desktop for notification management

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Feb 2026 13:22:13 -0500

gnome-online-accounts (3.57.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum glib
  * Remove all patches: applied in new release
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Jan 2026 16:15:55 -0500

gnome-online-accounts (3.56.2-6) unstable; urgency=medium

  * Remove Build-Depends: libmsgraph-dev (Closes: #1099993)
  * Re-enable kerberos feature on hurd

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Dec 2025 08:40:38 -0500

gnome-online-accounts (3.56.2-5) unstable; urgency=medium

  * Temporarily disable msgraph for bootstrapping all architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Dec 2025 23:04:02 -0500

gnome-online-accounts (3.56.2-4) unstable; urgency=medium

  * Disable msgraph feature for the nogtk4 build profile (Closes: #1099993)
  * Disable msgraph dependency to bootstrap sh4
  * Don't build the kerberos feature on x32 since keyutils isn't built there
  * autopkgtest: remove gnome-online-accounts dependency from gir test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Dec 2025 22:58:08 -0500

gnome-online-accounts (3.56.2-3) unstable; urgency=medium

  * Add patch to not require goabackend to build documentation
  * Salsa CI: test the nogtk4 build profile

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Dec 2025 22:14:35 -0500

gnome-online-accounts (3.56.2-2) unstable; urgency=medium

  * Add patch to only install icons for the goabackend build
  * Don't build goabackend on architectures that don't have gtk4
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Dec 2025 19:15:06 -0500

gnome-online-accounts (3.56.2-1) unstable; urgency=medium

  * New upstream release
  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Nov 2025 12:13:02 -0500

gnome-online-accounts (3.56.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libgoa-backend-1.0-2.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:13:37 -0400

gnome-online-accounts (3.56.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 14:45:01 -0400

gnome-online-accounts (3.55.2-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * libgoa-1.0-common.install: the gsettings schema is no longer provided
  * debian/libgoa-backend-1.0-2.symbols: Update

  [ Simon McVittie ]
  * d/control: Add missing B-D on gir1.2-gio-2.0-dev, as reported by
    dh_girepository
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/libgoa-1.0-0b.lintian-overrides: Acknowledge non-standard package
    name
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 20:59:22 -0400

gnome-online-accounts (3.54.5-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Aug 2025 14:33:53 -0400

gnome-online-accounts (3.54.3-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Jul 2025 10:32:36 +0200

gnome-online-accounts (3.54.3-2) experimental; urgency=medium

  * Disable Microsoft provider (Closes: #1100711)
    - It only handles email but Microsoft 365 handles email,
      calendar, contacts, and files
    - It was removed from GNOME 49

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 27 Jul 2025 10:20:27 +0200

gnome-online-accounts (3.54.3-1) experimental; urgency=medium

  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Jun 2025 14:56:37 -0400

gnome-online-accounts (3.54.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 08:28:58 -0400

gnome-online-accounts (3.54.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:13:55 -0400

gnome-online-accounts (3.53.2-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Mar 2025 13:10:41 -0500

gnome-online-accounts (3.53.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 03 Feb 2025 09:22:43 -0500

gnome-online-accounts (3.53.0-1) unstable; urgency=medium

  * New upstream release
    - Support changing Account Name (which is shown in the
      file browser sidebar)
    - Lower authentication error timeout from 120 seconds to 30 seconds
  * debian/libgoa-backend-1.0-2.symbols: Add new symbol
  * Add Recommends: evolution-ews-core
    (except on Ubuntu since it's in universe currently) (Closes: #969955)
  * Run wrap-and-sort
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 09:19:07 -0500

gnome-online-accounts (3.52.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 10:54:29 -0500

gnome-online-accounts (3.52.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Release to unstable

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 16 Sep 2024 16:30:24 +0200

gnome-online-accounts (3.51.2-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 20 Aug 2024 15:07:01 -0400

gnome-online-accounts (3.51.1-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and GTK4
  * Add Build-Depends: docbook-xsl & xsltproc to build manpages
  * Add Build-Depends: gi-docgen to build docs
  * Add Build-Depends: libkeyutils-dev
  * Add Provides: ${gir:Provides} to -dev package
  * debian/libgoa-backend-1.0-2.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 17:04:13 -0400

gnome-online-accounts (3.50.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 15:46:07 -0400

gnome-online-accounts (3.50.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libgoa-backend-1.0-2.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 13:10:33 -0400

gnome-online-accounts (3.50.1-2) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Enable OneDrive support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 16:42:26 +0200

gnome-online-accounts (3.50.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libgoa-backend-1.0-2.symbols: Add new symbols
  * Drop ancient Conflicts/Replaces
  * Drop all patches: applied in new release
  * Drop Ubuntu i386 handling: gnome-online-accounts no longer needs to be
    built there

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Apr 2024 17:11:24 -0400

gnome-online-accounts (3.50.0-4) unstable; urgency=medium

  * Update Recommends to gnome-control-center | gnome-online-accounts-gtk

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 13:34:08 -0400

gnome-online-accounts (3.50.0-3) unstable; urgency=medium

  * Release to Unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 09:29:38 -0400

gnome-online-accounts (3.50.0-2) experimental; urgency=medium

  * Cherry-pick 2 patches to fix Microsoft authentication

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 17:23:52 -0400

gnome-online-accounts (3.50.0-1) experimental; urgency=medium

  * New upstream release
  * Drop obsolete alternate Recommends: budgie-control-center,
    unity-control-center (Closes: #1006398)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 11:44:14 -0400

gnome-online-accounts (3.49.4-1) experimental; urgency=medium

  * New upstream release
  * Update libgoa-backend-1.0-dev dependencies to match pkgconfig file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Mar 2024 14:54:20 -0500

gnome-online-accounts (3.49.3-1) experimental; urgency=medium

  * New upstream release
  * Rename libgoa backend library package name to match new soname bump.
    The soname bump makes it more clear that everything using the backend
    library needs to stop using the library or adjust to the 3.49 changes.
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 02 Mar 2024 17:13:39 -0500

gnome-online-accounts (3.49.2-1) experimental; urgency=medium

  * New upstream release
    - This is a major API break known to break the Online Accounts
      feature in cinnamon-control-center and unity-control-center.
      budgie-control-center has removed its Online Accounts feature
      because of this.
  * Switch to gtk4 and libadwaita
  * Don't enable msgraph (OneDrive) since it's not in Debian yet
  * Add Build-Depends: libdbus-1-dev
  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Feb 2024 16:07:17 -0500

gnome-online-accounts (3.49.0-2) unstable; urgency=medium

  * Drop patch reverting switch to gcr4
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 22:19:18 -0500

gnome-online-accounts (3.49.0-1) unstable; urgency=medium

  * New upstream release
    - Drop Last.fm provider
    - Add WebDav support, allowing adding CalDav integration for the
      GNOME Calendar app without using Evolution
      (Closes: #866794) (LP: #1731628)
    - Authentication for Google & Microsoft now uses the web browser
      instead of a webkitgtk-powered popup window (LP: #1826311, LP: #1827764)
  * debian/gnome-online-accounts.docs: README -> README.md
  * debian/gnome-online-accounts.install: Install new OAuth2 handler
  * debian/libgoa-backend-1.0-1.symbols: Update
  * Add patch to keep using gcr3 for now
  * Drop unused Build-Depends: webkit2gtk
  * Drop references to kfreebsd and use arch:any (Closes: #1058677)
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jan 2024 12:37:10 -0500

gnome-online-accounts (3.48.0-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 16:26:36 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libgoa-1.0-doc`.
